summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Friesel <derf@derf.homelinux.org>2009-04-16 13:06:21 +0200
committerDaniel Friesel <derf@derf.homelinux.org>2009-04-16 13:06:21 +0200
commitc89449977d08ce5b60fd08c2f2c7a89dc899261b (patch)
treeb5de0fd4c7cbbd5c6cf9c4730c3555c851edec66
parent3d15d00860d40a52715cf60e8969c8b7219a94a2 (diff)
pkg: Fixed a bug in pkg list remote
Under certain circumstances, packages were left out
-rwxr-xr-xbin/pkg2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/pkg b/bin/pkg
index 8682266..87aea1a 100755
--- a/bin/pkg
+++ b/bin/pkg
@@ -719,7 +719,7 @@ function pkg_list {
;;
not-installed)
while read package crap; do
- grep "^$package" $PDIR/.list &> /dev/null || echo $package
+ grep "^$package " $PDIR/.list &> /dev/null || echo $package
done < $PDIR/.list-remote
;;
esac